Package twisted :: Package coil :: Package plugins :: Module mail :: Class MailConfigurator

[show private | hide private]
[frames | no frames]

## Class MailConfigurator

          Configurator --+
                         |
    Collection --+       |
                 |       |
       Constrained --+   |
                     |   |
      ConfigCollection --+
                         |
                        MailConfigurator

Method Summary
| ``__init__`(self, instance)` Initialize this configurator with the instance it will be configuring.
| `config_name(self, name)`
| `config_storagePath(self, path)`
| ``configDispensers`(self)` Return list of dispensers.
| ``configure`(self, dict)` Set a list of configuration variables. (inherited from `Configurator`)
| ``delEntity`(self, name)` Remove a static reference for 'name'. (inherited from `Collection`)
| ``entityConstraint`(self, entity)` A method that determines whether an entity may be added to me. (inherited from `ConfigCollection`)
| ``getConfiguration`(self)` Return a mapping of key/value tuples describing my configuration. (inherited from `Configurator`)
| ``getDynamicEntity`(self, name, request)` Subclass this to generate an entity on demand. (inherited from `Collection`)
| ``getEntity`(self, name, request)` Retrieve an entity from me. (inherited from `Collection`)
| `getEntityType(self)` (inherited from `ConfigCollection`)
| ``getInstance`(self)` Return the instance being configured. (inherited from `Configurator`)
| `getNameType(self)` (inherited from `ConfigCollection`)
| ``getStaticEntity`(self, name)` Get an entity that was added to me using putEntity. (inherited from `Collection`)
| ``getType`(self, name)` Get the type of a configuration variable. (inherited from `Configurator`)
| ``listDynamicEntities`(self, request)` A list of all name, entity that I can generate on demand. (inherited from `Collection`)
| ``listDynamicNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Collection`)
| ``listEntities`(self, request)` Retrieve a list of all name, entity pairs I contain. (inherited from `Collection`)
| ``listNames`(self, request)` Retrieve a list of all names for entities that I contain. (inherited from `Collection`)
| ``listStaticEntities`(self)` Retrieve a list of all name, entity pairs that I store references to. (inherited from `Collection`)
| ``listStaticNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Collection`)
| `makePOP3Server(self)`
| `makeSMTPServer(self)`
| ``nameConstraint`(self, name)` A method that determines whether an entity may be added to me with a given name. (inherited from `Constrained`)
| ``putEntity`(self, name, entity)` Store an entity if it meets both constraints. (inherited from `Constrained`)
| `reallyPutEntity(self, name, entity)` (inherited from `Constrained`)
| ``removeEntity`(self, name, request)` Remove an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| ``storeEntity`(self, name, request)` Store an entity for 'name', based on the content of 'request'. (inherited from `Collection`)

Class Variable Summary
`tuple` | `__implements__`
`string` | `configName`
`dictionary` | `configTypes`
`class` | `IDomain`
`class` | `MailService`

Method Details

### __init__(self, instance)
(Constructor)

Initialize this configurator with the instance it will be configuring.

  Overrides:
    `twisted.coil.coil.Configurator.__init__` (inherited documentation)

### configDispensers(self)

Return list of dispensers.

  Overrides:
    `twisted.coil.coil.Configurator.configDispensers` (inherited documentation)

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.coil.coil.IConfigurator at 0x8254134>,
         <class twisted.coil.coil.IConfigCollection at 0x8260ebc>)

### configName

  Type:
    `string`
  Value:

        'Twisted Mail Service'

### configTypes

  Type:
    `dictionary`
  Value:

        {'serviceName': [<type 'string'>, 'Service Name', ''],
         'storagePath': [<type 'string'>,
                         'Storage Path',
                         'Folder where messages will be stored.']}

### IDomain

`IDomain` = `twisted.mail.mail.IDomain`

### MailService

`MailService` = `twisted.mail.mail.MailService`

Generated by Epydoc 1.1 on Sat Feb 15 21:18:54 2003 | http://epydoc.sf.net